HElib: PlaintextArrayDerived< type > Class Template Reference

HElib 1.0 Implementing Homomorphic Encryption

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Friends Pages
Public Member Functions | List of all members
PlaintextArrayDerived< type > Class Template Reference

Derived concrete implementation of PlaintextArrayBase. More...

`#include <EncryptedArray.h>`

Inheritance diagram for PlaintextArrayDerived< type >:

## Public Member Functions
virtual PlaintextArrayBase * | clone () const
virtual const EncryptedArray & | getEA () const
| Get the EA object (which is needed for the encoding/decoding routines)
| PlaintextArrayDerived (const EncryptedArray &_ea)
| PlaintextArrayDerived (const PlaintextArrayDerived &other)
PlaintextArrayDerived & | operator= (const PlaintextArrayDerived &other)
virtual void | rotate (long k)
| Rotation/shift as a linear array.
virtual void | shift (long k)
| Non-cyclic shift with zero fill.
virtual void | encode (const vector< long > &array)
| Encode/decode arrays into plaintext polynomials.
virtual void | encode (const vector< ZZX > &array)
virtual void | decode (vector< long > &array) const
virtual void | decode (vector< ZZX > &array) const
virtual void | encode (long val)
| Encode with the same value replicated in each slot.
virtual void | encode (const ZZX &val)
virtual void | random ()
| Generate a uniformly random element.
virtual bool | equals (const PlaintextArrayBase &other) const
| Equality testing.
virtual bool | equals (const vector< long > &other) const
virtual bool | equals (const vector< ZZX > &other) const
virtual void | add (const PlaintextArrayBase &other)
virtual void | sub (const PlaintextArrayBase &other)
virtual void | mul (const PlaintextArrayBase &other)
virtual void | negate ()
virtual void | replicate (long i)
| Replicate coordinate i at all coordinates.
virtual void | print (ostream &s) const
const vector< RX > & | getData () const
void | setData (const vector< RX > &_data)

## Detailed Description

### template<class type>
class PlaintextArrayDerived< type >

Derived concrete implementation of PlaintextArrayBase.

The documentation for this class was generated from the following file:

- src/EncryptedArray.h